Bug 1217126

Summary: eclipse-emf does not build on s390(x)
Product: [Fedora] Fedora Reporter: Ngo Than <than>
Component: eclipse-emfAssignee: Mat Booth <mat.booth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: akurtako, dan, dhorak, eclipse-sig, krzysztof.daniel, mat.booth, rgrunber, than
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: eclipse-emf-2.11.1-1.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-30 13:18:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ngo Than 2015-04-29 15:36:16 UTC
rpmbuild --rebuild eclipse-emf-2.10.2-1.fc22.src.rpm has failed on ppc64/s390(x)
looking at the build.log, the genericTargets.xml is searched in nonexistent directory 

 /usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/scripts/${eclipse.pdebuild.scripts}/genericTargets.xml

build.log
---------
BUILD FAILED
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/scripts/build.xml:35: The following error occurred while executing this line:
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/scripts/build.xml:91: The following error occurred while executing this line:
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/templates/package-build/customTargets.xml:19: The following error occurred while executing this line:
java.io.FileNotFoundException: /usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/scripts/${eclipse.pdebuild.scripts}/genericTargets.xml (No such file or directory)
        at java.io.FileInputStream.open0(Native Method)
        at java.io.FileInputStream.open(FileInputStream.java:195)
        at java.io.FileInputStream.<init>(FileInputStream.java:138)
        at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:250)
        at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:178)
        at org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.java:93)
        at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:392)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
        at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:435)
        at org.apache.tools.ant.Target.performTasks(Target.java:456)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1393)
        at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
        at org.eclipse.ant.internal.core.ant.EclipseSingleCheckExecutor.executeTargets(EclipseSingleCheckExecutor.java:34)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1248)
        at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:441)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
        at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:435)
        at org.apache.tools.ant.Target.performTasks(Target.java:456)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1393)
        at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
        at org.eclipse.ant.internal.core.ant.EclipseSingleCheckExecutor.executeTargets(EclipseSingleCheckExecutor.java:34)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1248)
        at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:441)
        at org.apache.tools.ant.taskdefs.CallTarget.execute(CallTarget.java:105)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
        at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:435)
        at org.apache.tools.ant.Target.performTasks(Target.java:456)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1393)
        at org.apache.tools.ant.Project.executeTarget(Project.java:1364)
        at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
        at org.eclipse.ant.internal.core.ant.EclipseDefaultExecutor.executeTargets(EclipseDefaultExecutor.java:36)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1248)
        at org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:703)
        at org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:566)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.eclipse.ant.core.AntRunner.run(AntRunner.java:511)
        at org.eclipse.ant.core.AntRunner.start(AntRunner.java:607)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:382)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:236)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1438)
        at org.eclipse.core.launcher.Main.main(Main.java:34)

Comment 1 Mat Booth 2015-10-28 11:09:14 UTC
eclipse-emf is built for F23 on ppc64 and aarch64:

http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=350219
http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=319521

You should be able to bring s390 up to date in the same way as ppc64:

* temporarily untag eclipse-xsd-2.11.0-1 and lucene >= 5 from f23.
* build latest eclipse-emf and eclipse-ecf packages
* re-tag lucene-5.2.1-1.fc23 into f23
* build eclipse-4.5.0-0.31.git201506012000.fc23
* re-tag latest lucene into f23
* build latest eclipse

Comment 2 Dan Horák 2015-10-29 19:00:28 UTC
We are almost there, but eclipse-4.5.1-1.fc23 and eclipse-4.5.1-2.fc23 fails with

...
[INFO] Copying javax.inject-1.0.0.v20091030.jar to /builddir/build/BUILD/R4_platform-aggregator-R4_5_1/eclipse.platform.common/bundles/org.eclipse.platform.doc.isv/target/dependency/javax.inject-1.0.0.v20091030.jar
[INFO] 
[INFO] --- tycho-compiler-plugin:0.23.0:compile (default-compile) @ org.eclipse.platform.doc.isv ---
[INFO] 
[INFO] --- tycho-eclipserun-plugin:0.23.0:eclipse-run (default) @ org.eclipse.platform.doc.isv ---
[INFO] 
[INFO] --- tycho-eclipserun-plugin:0.23.0:eclipse-run (dont_skip_me) @ org.eclipse.platform.doc.isv ---
[INFO] {osgi.os=linux, osgi.ws=gtk, org.eclipse.update.install.features=true, osgi.arch=s390}
[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: org.eclipse.help.base 4.0.300.v20150821-1300
[ERROR]   Missing requirement: org.eclipse.help.base 4.0.300.v20150821-1300 requires 'bundle org.apache.lucene.analysis [4.7.0,5.0.0)' but it could not be found
[ERROR] 
[ERROR] See http://wiki.eclipse.org/Tycho/Dependency_Resolution_Troubleshooting for help.
...

please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1973929
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1973964
for details, sounds like an old lucene is expected while 5.3.0 is available

Comment 3 Dan Horák 2015-10-30 11:19:00 UTC
It was error on my side, an older eclipse build was in f23-override and thus in the buildroot. We are there - http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=357311 :-) Thanks.

Comment 4 Mat Booth 2015-10-30 13:18:32 UTC
(In reply to Dan Horák from comment #3)
> It was error on my side, an older eclipse build was in f23-override and thus
> in the buildroot. We are there -
> http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=357311 :-) Thanks.

Awesome, in that case I will close this bug.